print("BfA Pet Quest loaded. Usage: /petdone ([c]ompleted)")
bfaPetQuestDB = { -- questid, pet, item--
{"56446","56457","Chomp","Leathery venom gland"},
{"56450","56462","Elderspawn of Nalaada","Eel jelly"},
{"56455","56467","Frenzied Knifefang","Frenzy fang"},
{"56456","56458","Giant Opaline Conch","Opaline Conch"},
{"56453","56465","Kelpstone","Overgrown stone"},
{"56452","56464","Mindshackle","Strange organ"},
{"56449","56461","Pearlhusk Crawler","Pearlescent shell"},
{"56444","56445","Prince Wiggletail","Wiggletail poking fork"},
{"56451","56463","Ravenous Scalespawn","Mottled hydra scale"},
{"56448","56460","Shadowspike Lurker","Molted spineshell"},
{"56447","56459","Silence","Half digested deepcoral pod"},
{"56454","56466","Voltgorger","Crackling Mandible"}
}

local function bfaPetQuestCmd(msg, editbox)
	local index=0
	local faction=""
	englishFaction, localizedFaction = UnitFactionGroup("player")
	if englishFaction=="Horde" then
		index=2
		faction="H: "
	elseif englishFaction=="Alliance" then
		index=1
		faction="A: "
	else
		message("Faction error or neutral faction")
		do return end
	end
	local max=table.maxn(bfaPetQuestDB)
	for bfePetQuestIndex=1, max do
		if IsQuestFlaggedCompleted(bfaPetQuestDB[bfePetQuestIndex][index]) then
			if msg=="c" then
				print(faction,bfaPetQuestDB[bfePetQuestIndex][3],GREEN_FONT_COLOR_CODE,"Completed",FONT_COLOR_CODE_CLOSE)
			end
		else
			print(faction,bfaPetQuestDB[bfePetQuestIndex][3],RED_FONT_COLOR_CODE,"Not completed",FONT_COLOR_CODE_CLOSE)
		end
	end
end

SLASH_PETQUEST_SLASHCMD1 = '/petdone'
SlashCmdList["PETQUEST_SLASHCMD"] = bfaPetQuestCmd